return Def.ActorFrame {
    LoadActor( THEME:GetPathB("","_frame 3x1"), "Pill Difficulty", 190)..{
		SetCommand=function(self,param)
            self:diffuse(DifficultyColor(param.Difficulty));
        end;
    };
	LoadFont( "Pixel" ) .. {
		Text="XXXX";
		InitCommand=cmd(x,-110;y,1;horizalign,left;shadowlength,0;maxwidth,100;);
		SetCommand=function(self,param)
				local s = THEME:GetString("Difficulty", param.Difficulty );
--~                 local s = param.Difficulty;
				if param.Difficulty == "Difficulty_Edit" then
					s = param.EditDescription;
				end
				s = string.upper(s);	-- TODO: string.upper doesn't work correctly for French
				self:settext( s );
				local c = LightColor(DifficultyColor( param.Difficulty ));
				self:diffuse( c );
			end;
	};
};
